V=[45 55 65 75 85 97 105 115 125 135 146 155 166 175 186 195 205 211]
I=[0.19 0.21 0.23 0.25 0.26 0.28 0.30 0.31 0.32 0.34 0.35 0.36 0.37 0.39 0.40 0.41 0.42 0.43]
P=I.*V
R=V./I
% Uncertainity in V
U_Vrating=V./100   % (1%)
U_Vscale=(1/2)./sqrt(3)
U_V=sqrt((U_Vscale).^2+(U_Vrating).^2)

% Uncertainity in I
U_Irating=I./100   % (1%)
U_Iscale=(0.01/2)./sqrt(3)
U_I=sqrt((U_Iscale).^2+(U_Irating).^2)

% Uncertainity in R
U_R=sqrt(((V./I.^2).*U_I).^2+((1./I).*U_V).^2)

% Uncertainity in P
U_P=sqrt((V.*U_I).^2+(I.*U_V).^2)

% Uncertainity in X=log(R)
U_X=(1./R).*U_R

% Uncertainity in Y=log(P)
U_Y=(1./P).*U_P

X=log(R)
Y=log(P)
xyerrorbar(X,Y,U_X,U_Y,'o')
xlabel('log(R)')
ylabel('log(P)')
title('Finding the value of Gamma ')

Ro=58
Troom=298.2
k_B=(1.38).*10.^(-23)
lambda=700.*10.^(-9)
c=3.*10.^8
g=0.8
T=Troom.*(R./Ro).^g
Irado=(4.00).*10.^-3
To=T(:,1)
irad=[4 6 10 14 22 30 40 50 64 80 96 112 130 144 164 178 190 198]
Irad=irad.*10.^(-3)
X_h=(1./To)-(1./T)
Y_h=(lambda.*k_B./c).*log(Irad./Irado)

% Uncertainity in Troom
U_Troom=(2/2)./sqrt(6)  %Analog thermometer with division of 2 degree C

% Uncertainity in Ro
U_Rorating=Ro./100   % (1%)
U_Roscale=(1/2)./sqrt(3)
U_Ro=sqrt((U_Roscale).^2+(U_Rorating).^2)

% Uncertainity in Temperature
U_T=sqrt((g.*R.^(g-1).*Ro.^(-g).*Troom.*U_R).^2+(-g.*Ro.^(-g-1).*R.^g.*Troom.*U_Ro).^2+(R.^g.*Ro.^(-g).*U_Troom).^2)

% Uncertainity in To
U_To=(0.0001/2)./sqrt(3)

% Uncertainity in X_h=(1./To)-(1./T)
UX_h=sqrt(((1./To.^2).*U_To).^2+((1./T.^2).*U_T).^2)

% Uncertainity in Irad
U_Irad=Irad./100   % (1%)

% Uncertainity in Irado
U_Irado=(0.001/2)./sqrt(3)

% Uncertainity in Y_h=(lambda.*k_B./c).*log(Irad./Irado)
UY_h=(lambda.*k_B./c).*sqrt(((1./Irad).*U_Irad).^2+((1./Irado).*U_Irado).^2)

% xyerrorbar(X_h,Y_h,UX_h,UY_h,'o')
% xlabel('ln(1/To -1/T) 1/K')
% ylabel('constant*ln(I/Io) Js/K')
% title('Measuring the value of Plancks constant')